apiVersion: v1
kind: ConfigMap
metadata:
  name: {{ .Chart.Name }}-env-configmap
data:
  {{- if eq .Values.global.profile "authority" }}
  ONBOARDING_URL: "{{ .Values.onboardingUrl }}"
  EJBCA_URL: "{{ .Values.ejbcaUrl }}"
  IDENTITY_PROVIDER_URL: "{{ .Values.identityProviderUrl }}"
  SAP_URL: "{{ .Values.securityAttributesProviderUrl }}"
  {{- end }}

  SPRING_PROFILES_ACTIVE: "{{ .Values.global.profile }}"
  GATEWAY_URL: "{{- include "microservices.backend.url" . }}"
  USERSROLES_URL: "{{ .Values.usersRolesUrl }}"
  KEYCLOAK_URL: "{{ .Values.keycloakUrl }}"
  AUTHENTICATION_PROVIDER_URL: "{{ .Values.authenticationProviderUrl }}"

  CORS_ALLOWED_HEADERS: Access-Control-Allow-Headers,Access-Control-Allow-Credentials,Access-Control-Allow-Origin,Access-Control-Allow-Methods,Keep-Alive,User-Agent,Content-Type,Authorization,Tenant,Channel,Platform,Set-Cookie,geolocation,x-mobility-mode,device,Cache-Control,X-Request-With,Accept,Origin
  CORS_ALLOWED_ORIGINS: "{{ .Values.global.cors.allowOrigin }}"


